# Bitwarden

```bash
curl -Lo bw.zip 'https://vault.bitwarden.com/download/?app=cli&platform=linux'
unzip bw.zip
mkdir -p "$HOME/.local/bin" "$HOME/.config/bash"
install -m 755 bw "$HOME/.local/bin/"
rm -f bw bw.zip
bw config server https://bitwarden.penguincoder.org
bw login
echo "export BW_SESSION=$(bw unlock --raw)" > "$HOME/.config/bash/bitwarden.sh"
source "$HOME/.config/bash/bitwarden.sh"
bw sync
bw get attachment b0b0262ab221403d91ef --itemid b4c098e4-88a1-4b41-819c-cedc90088de0 --output ~/.ssh/github
bw get attachment 2731fbaa949e3d6477e7 --itemid b4c098e4-88a1-4b41-819c-cedc90088de0 --output ~/.ssh/github.pub
bw get attachment c29bed4bb96410e1d50b --itemid b4c098e4-88a1-4b41-819c-cedc90088de0 --output ~/.ssh/gitea
bw get attachment ac30a1167c11c2a9a2c0 --itemid b4c098e4-88a1-4b41-819c-cedc90088de0 --output ~/.ssh/gitea.pub
bw get attachment 56706aa722971d4bc030 --itemid b4c098e4-88a1-4b41-819c-cedc90088de0 --output ~/.ssh/selfhosted
bw get attachment 9b882f99ef5abce6fb85 --itemid b4c098e4-88a1-4b41-819c-cedc90088de0 --output ~/.ssh/selfhosted.pub
chmod 700 ~/.ssh
chmod 600 ~/.ssh/*
```

# Kitty

```bash
curl -L https://sw.kovidgoyal.net/kitty/installer.sh | sh /dev/stdin
mkdir -p "$HOME/.local/bin"
ln -s "$HOME/.local/kitty.app/bin/kitty" "$HOME/.local/bin/"
cp "$HOME/.local/kitty.app/share/applications/kitty.desktop" "$HOME/.local/share/applications/"
cp "$HOME/.local/kitty.app/share/applications/kitty-open.desktop" "$HOME/.local/share/applications/"
sed -i "s|Icon=kitty|Icon=$HOME/.local/kitty.app/share/icons/hicolor/256x256/apps/kitty.png|g" $HOME/.local/share/applications/kitty*.desktop
```

# Chezmoi

```bash
sh -c "$(curl -fsLS chezmoi.io/get)"
mv ./bin/chezmoi "$HOME/.local/bin/"
chezmoi init --apply ssh://git@git.penguincoder.org:2222/penguincoder/dotfiles.git
```

# Gitea token

```bash
echo -e "export GITEA_TOKEN=$(bw get item gitea | jq -r '.fields[] | select(.name == "token").value')\nexport GITEA_HOST=https://git.penguincoder.org" | tee "$HOME/.config/bash/gitea.sh"
```
